
/*
 * _types.h - some times with "_" prepended as defined by GCC
 * Copyright (c) 2003, The LusitanOS Project. All rights reserved.
 *
 * maintainer(s): hybrid-2k
 * started: 2003-06-18
 * changed: 2003-06-25
 *
 * This program is free software, and you can redistribute it and/or modify it
 * under the terms of the LSD (Lusitan Source Distribution) License, which are
 * described in the following text.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files, to deal them without
 * restriction, including without limitation the rights to use, copy, modify,
 * merge, publish, distribute, sublicense, and/or sell copies of it, and to
 * permit persons to whom it is furnished to do so, subject to the following
 * conditions:
 *  - The above copyright notice and this permission notice shall be included
 *    in all copies or portions of this software.
 *  - The source code and documentation of this software shall be included
 *    along with all binary distributions and any other kind of product that
 *    uses this software or substantial portions from it.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

#ifndef	_SYS__TYPES_H_
#define _SYS__TYPES_H_

/* memory address offset */
#ifndef ___OFF_TYPE__
#define ___OFF_TYPE__ long int
typedef ___OFF_TYPE__ _off_t;
#define __OFF_T
#endif

/* system size type */
#ifndef ___SSIZE_TYPE__
#define ___SSIZE_TYPE__ long int
typedef ___SSIZE_TYPE__ _ssize_t;
#define __SSIZE_T
#endif

/* flock type */
#ifndef ___FLOCK_TYPE__
#define ___FLOCK_TYPE__ int
typedef ___FLOCK_TYPE__ _flock_t;
#define __SSIZE_T
#endif

#endif /* ! _SYS__TYPES_H_ */
